import { Options } from "@contentful/rich-text-react-renderer";
import React from "react";
import type { IContentfulEntry, IContentfulAsset } from "./types/contentful";
type AssetBlockMap = Map<string, Partial<IContentfulAsset>>;
type AssetHyperlinkMap = Map<string, Partial<IContentfulAsset>>;
type EntryBlockMap = Map<string, Partial<IContentfulEntry>>;
type EntryInlineMap = Map<string, Partial<IContentfulEntry>>;
type EntryHyperlinkMap = Map<string, Partial<IContentfulEntry>>;
interface IMakeOptions {
    assetBlockMap: AssetBlockMap;
    assetHyperlinkMap: AssetHyperlinkMap;
    entryBlockMap: EntryBlockMap;
    entryInlineMap: EntryInlineMap;
    entryHyperlinkMap: EntryHyperlinkMap;
}
export type MakeOptions = (referenceMaps: IMakeOptions) => Options;
export declare function renderRichText({ json, links, }: {
    json: unknown;
    links?: unknown;
}, makeOptions?: MakeOptions | Options): React.ReactNode;
export {};
